import java.awt.Point;
import java.awt.Color;
/**
 * Die Klasse Pixel erweitert die AWT-Klasse Point um die Möglichkeit dem Pixel eine Farbe zuzuweisen.
 * @author Henning Ainödhofer
 * @version 02.03.2016
 */
public class Pixel extends Point
{
    // Bezugsobjekte

    // Attribute
    /**
     * Das Attribut color dient dazu, jedem Pixel eine Farbe zuzuweisen. Zu Beginn wird jeder erstellte Pixel in schwarz
     * dargestellt.
     */
    private Color color;
    
    public boolean isSet;

    // Konstruktor
    /**
     * Konstruktor der Klasse Pixel
     * 
     * @param x
     * @param y
     * @param color
     */
    public Pixel(int x, int y, Color color, boolean isSet)
    {
        super(x, y);
        this.color = color;
        this.isSet = isSet;
    }

    // Dienste
    /**
     * Die Methode getColor gibt die Farbe des Pixels aus.
     * 
     * @return color
     */
    public Color getColor()
    {
        return this.color;
    }
    
    public boolean getIsSet()
    {
        return this.isSet;
    }
    
    public void setIsSet(boolean isSet)
    {
        this.isSet = isSet;
    }
}
